#
# spec file for package JTOpen (Version 5.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           JTOpen
%define cvs_version 5_0
License:        IBM Public License
Group:          Development/Libraries/Java
URL:            http://oss.software.ibm.com/developerworks/opensource/jt400/index.html
Requires:       jre1.1.x
Autoreqprov:    on
Summary:        The Open Source Version of the IBM Toolbox for Java
Version:        5.0
Release:        8.2
Source0:        jtopen_%{cvs_version}.zip
Source1:        jtopen_%{cvs_version}_source.zip
Source2:        README.SuSE
Source3:        jtopen_%{cvs_version}_javadoc.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
The IBM Toolbox for Java is a library of Java classes supporting the
client/server and Internet programming models to an iSeries or AS/400
server. The classes can be used by Java applets, servlets, and
applications to easily access iSeries and AS/400 data and resources.

The toolbox does not require additional client support beyond what is
provided by the Java Virtual Machine and TCP/IP.



%debug_package
%package doc
Summary:        Additional Package Documentation
Group:          Development/Libraries/Java

%description doc
JTOpen is an Open Source version of the IBM Toolbox for Java.

The IBM Toolbox for Java is a library of Java classes supporting
client/server and internet programming models for an iSeries or AS/400
server. The classes can be used by Java applets, servlets, and
applications to easily access iSeries and AS/400 data and resources.

The Toolbox does not require additional client support over and above
what is provided by the Java Virtual Machine and TCP/IP.



%prep
%setup -c
#
install -m 644 %{S:1} %{S:2} .
# unpack javadoc
install -m 755 -d ./javadoc
unzip %{S:3} -d ./javadoc 

%build

%install
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}/
cp -r lib $RPM_BUILD_ROOT%{_datadir}/%{name}/
cp  *.zip $RPM_BUILD_ROOT%{_datadir}/%{name}/
cp -r javadoc *.html README.SuSE $RPM_BUILD_ROOT%{_docdir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*.html
%{_docdir}/%{name}/README.SuSE
%{_datadir}/%{name}/

%files doc
%defattr(-,root,root)
%{_docdir}/%{name}/javadoc

%changelog -n JTOpen
* Tue Mar 14 2006 - olh@suse.de
- updated to version 5.0 [#149530 - LTC21539]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - skh@suse.de
- updated to version 4.9 [fate #140782]
* Tue May 04 2004 - pmladek@suse.cz
- updated to version 4.3.1 [#39648]
* Mon Apr 19 2004 - pmladek@suse.cz
- updated to version 4.3 [#39093]:
  * does not contain elderly documentation, the current one is available
  online from the home page
  * the doc subpackage still contains the actual javadoc
- updated README.SuSE accordingly
- removed obsolete BuildRoot cleaning from the install phase
* Tue Mar 02 2004 - pmladek@suse.cz
- updated to version 4.2
- fixed installation, moved from /usr/lib to /usr/share
* Thu Feb 05 2004 - hmacht@suse.de
- added entry # norootforbuild in specfile
* Mon Aug 25 2003 - pmladek@suse.cz
- updated to the version 4.1
* Thu Jun 19 2003 - ro@suse.de
- added directory to filelist
* Tue Aug 06 2002 - pmladek@suse.cz
- updated to version 3.1
- included sources
- fixed README.SuSE
- fixed permissions of directories
* Thu Oct 11 2001 - pmladek@suse.cz
- package created, version 2.04
